Skip to main content
GET
Node.js

Authorizations

x-api-key
string
header
required

Query Parameters

id
string
required

YouTube channel URL, handle or ID. See supported URL formats.

Examples:

"https://www.youtube.com/channel/UCuAXFkgsw1L7xaCfnd5JJOw"

"https://youtube.com/c/rickastley"

"UCuAXFkgsw1L7xaCfnd5JJOw"

"@rickastley"

"rickastley"

limit
number
default:30

Maximum number of video IDs to return. If type = all, vertical videos are prioritized.

Required range: 1 <= x <= 5000
Example:

10

type
enum<string>
default:all

Type of videos to return.

Available options:
all,
video,
short,
live
Example:

"video"

Response

Successfully fetched channel video IDs

videoIds
string[]
required

List of vertical video IDs

Example:
shortIds
string[]
required

List of Shorts IDs

Example:
liveIds
string[]
required

List of live video IDs

Example: